GNU logs - #22521, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#22521: 24.5; call-process hangs waiting for input with zombie process
Resent-From: Robin Green <robin.green@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 01 Feb 2016 15:40:02 +0000
Resent-Message-ID: <handler.22521.B.145434114910394 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 22521
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 22521 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.145434114910394
          (code B ref -1); Mon, 01 Feb 2016 15:40:02 +0000
Received: (at submit) by debbugs.gnu.org; 1 Feb 2016 15:39:09 +0000
Received: from localhost ([127.0.0.1]:45327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aQGZH-0002hY-KD
	for submit <at> debbugs.gnu.org; Mon, 01 Feb 2016 10:39:09 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33064)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <robin.green@HIDDEN>) id 1aQGZE-0002h0-6Y
 for submit <at> debbugs.gnu.org; Mon, 01 Feb 2016 10:39:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <robin.green@HIDDEN>) id 1aQGZ2-0003Yd-RU
 for submit <at> debbugs.gnu.org; Mon, 01 Feb 2016 10:38:59 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45872)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <robin.green@HIDDEN>) id 1aQGZ2-0003YS-N8
 for submit <at> debbugs.gnu.org; Mon, 01 Feb 2016 10:38:52 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52146)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <robin.green@HIDDEN>) id 1aQGYw-0006HR-OT
 for bug-gnu-emacs@HIDDEN; Mon, 01 Feb 2016 10:38:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <robin.green@HIDDEN>) id 1aQGYq-0003Wp-TW
 for bug-gnu-emacs@HIDDEN; Mon, 01 Feb 2016 10:38:46 -0500
Received: from mail-wm0-x22a.google.com ([2a00:1450:400c:c09::22a]:37222)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <robin.green@HIDDEN>) id 1aQGYq-0003Wg-8Y
 for bug-gnu-emacs@HIDDEN; Mon, 01 Feb 2016 10:38:40 -0500
Received: by mail-wm0-x22a.google.com with SMTP id l66so77167722wml.0
 for <bug-gnu-emacs@HIDDEN>; Mon, 01 Feb 2016 07:38:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=schibsted.com; s=google;
 h=to:subject:from:message-id:date:user-agent:mime-version
 :content-type:content-transfer-encoding;
 bh=fH3AnE7EBc6PyvfmImsJjDEjYduUkHH/oxD/VlPhH8g=;
 b=gbGkanrk/kVjIThH70O1i6BBKrvK8s/AZB12veNYE/oRvzmK9oJcGTndXWMZRNDLaZ
 xsUtqh6V2G92eD1A50g7/tGBqt78op/hCZ9XvVnNnZhXx6xRmJHfDnMJovEehVvzW/9m
 0BgtHih2E9hdejfwih/D2MlsC26w70oZElP70=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:to:subject:from:message-id:date:user-agent
 :mime-version:content-type:content-transfer-encoding;
 bh=fH3AnE7EBc6PyvfmImsJjDEjYduUkHH/oxD/VlPhH8g=;
 b=AWE77bBWO4TewkvQCRrdd3b21u7c2iqhGNhhBUBDxpBRRLjVkQm+ak9pL652KE4MiB
 pzvitFV11c74eumeCStQck3GLTUOo+XPSX7LIp8g17pEUVnDTfIUNnGi/2Qkp5/XwgEz
 foCOHVtV0uzll+ICFVhvV2WuXYEcTWCFqZfWtnjYCnADd7zCbiPi4C88XqlDsCe47mJW
 aqy++nzL0EgCTS/qZFTer3f6fcrqSXLwSEMWFrjMxYPr53hZhS3htLjKEk0+XoEp4gzV
 DACqfK3MdMCKs8mY9sT8VLybD/cOWKFc+159aBnEU/W1okq2WJSpWtU98Z8gKm+XLHGn
 pOeA==
X-Gm-Message-State: AG10YORSdLV6BNZ/7eXH3Pu4WB7XMztztBTX24tErKkr6967j8K5pwgbtIeCj8c/3asdoR8h
X-Received: by 10.194.250.39 with SMTP id yz7mr26511399wjc.92.1454341119076;
 Mon, 01 Feb 2016 07:38:39 -0800 (PST)
Received: from [192.168.1.93] ([5.148.132.151])
 by smtp.gmail.com with ESMTPSA id gb9sm29648515wjb.26.2016.02.01.07.38.38
 for <bug-gnu-emacs@HIDDEN> (version=TLSv1/SSLv3 cipher=OTHER);
 Mon, 01 Feb 2016 07:38:38 -0800 (PST)
From: Robin Green <robin.green@HIDDEN>
Message-ID: <56AF7BFD.3000206@HIDDEN>
Date: Mon, 1 Feb 2016 15:38:37 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.5.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

I called call-process with display set to t so that I could see the 
output incrementally. When the process, which was a shell script, 
finished (apparently) normally and became a zombie, emacs seemed to hang 
indefinitely. Results of bt full in gdb:

#0  0x00007fbebb1b8b4d in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x0000000000506b66 in emacs_read (__nbytes=16384, 
__buf=0x7ffffd509680, __fd=19) at /usr/include/bits/unistd.h:44
         rtnval = <optimized out>
#2  0x0000000000506b66 in emacs_read (fildes=fildes@entry=19, 
buf=buf@entry=0x7ffffd509680, nbyte=nbyte@entry=16384) at 
../../src/sysdep.c:2279
         rtnval = <optimized out>
#3  0x00000000005a93be in call_process (nargs=nargs@entry=6, 
args=args@entry=0x7ffffd519700, filefd=<optimized out>, filefd@entry=18, 
tempfile_index=tempfile_index@entry=-1) at ../../src/callproc.c:812
         this_read = <optimized out>
         buf = "\nLiquibase 'dbDoc' Successful\n: Successfully released 
change log 
locklog/changelog/db.changelog-master.xml::2.0.5.tag::robin.green: Tag 
'version_2.0.5' applied to database\nINFO 01/02/16 15:33: liquiba"...
         carryover = 0
         display_on_the_fly = true
         saved_coding =
           {id = <optimized out>, common_flags = 3072, mode = <optimized 
out>, spec = {iso_2022 = {flags = <optimized out>, current_invocation = 
{<optimized out>, <optimized out>}, current_designation = {<optimized 
out>, <optimized out>, <optimized out>, <optimized out>}, 
ctext_extended_segment_len = <optimized out>, single_shifting = 
<optimized out>, bol = <optimized out>, embedded_utf_8 = <optimized 
out>, cmp_status = {state = <optimized out>, method = <optimized out>, 
old_form = <optimized out>, length = <optimized out>, nchars = 
<optimized out>, ncomps = <optimized out>, carryover = {<optimized out> 
<repeats 68 times>}}}, ccl = <optimized out>, utf_16 = {bom = <optimized 
out>, endian = <optimized out>, surrogate = <optimized out>}, utf_8_bom 
= <optimized out>, emacs_mule = {cmp_status = {state = <optimized out>, 
method = <optimized out>, old_form = <optimized out>, length = 
<optimized out>, nchars = <optimized out>, ncomps = <optimized out>, 
carryover = {<optimized out> <repeats 68 times>}}}, undecided = 
{inhibit_nbd = <optimized out>, inhibit_ied = <optimized out>, 
prefer_utf_8 = <optimized out>}}, max_charset_id = <optimized out>, 
safe_charsets = <optimized out>, src_multibyte = <optimized out>, 
dst_multibyte = <optimized out>, head_ascii = <optimized out>, 
detected_utf8_bytes = <optimized out>, detected_utf8_chars = <optimized 
out>, eol_seen = <optimized out>, produced = <optimized out>, 
produced_char = <optimized out>, consumed = <optimized out>, 
consumed_char = <optimized out>, errors = <optimized out>, 
error_positions = <optimized out>, result = <optimized out>, src_pos = 
<optimized out>, src_pos_byte = <optimized out>, src_chars = <optimized 
out>, src_bytes = <optimized out>, src_object = <optimized out>, source 
= <optimized out>, dst_pos = <optimized out>, dst_pos_byte = <optimized 
out>, dst_bytes = <optimized out>, dst_object = <optimized out>, 
destination = <optimized out>, charbuf = <optimized out>, charbuf_size = 
<optimized out>, charbuf_used = <optimized out>, chars_at_source = 
<optimized out>, raw_destination = <optimized out>, annotated = 
<optimized out>, carryover = {<optimized out> <repeats 64 times>}, 
carryover_bytes = <optimized out>, default_char = <optimized out>, 
detector = <optimized out>, decoder = <optimized out>, encoder = 
<optimized out>}
         bufsize = 16384
         nread = 0
         total_read = 113831
         buffer = <optimized out>
         current_dir = <optimized out>
         path = 117219217
         display_p = true
         fd0 = 19
         callproc_fd = {-1, -1, 19}
         status = 574452837
         i = 2
         count = 14
         sa_count = 14
         sa_must_free = false
         new_argv = <optimized out>
         error_file = 12331938
         output_file = 12331890
         pid = 24552
         child_errno = <optimized out>
         fd_output = <optimized out>
         fd_error = <optimized out>
         process_coding =
           {id = 34, common_flags = 3072, mode = 0, spec = {iso_2022 = 
{flags = 1, current_invocation = {1029990688, 1852402722}, 
current_designation = {1198678373, 1768186226, 880045669, 573978169}, 
ctext_extended_segment_len = 1953709118, single_shifting = true, bol = 
true, embedded_utf_8 = true, cmp_status = {state = 538976288, method = 
574448745, old_form = 115, length = 943077684, nchars = 538970658, 
ncomps = 1931485216, carryover = {1701607796, 1953702461, 1663922287, 
1919904879, 912401210, 946090850, 1869902651, 1886334320, 1953063777, 
573651577, 538976266, 1718558752, 1952805734, 573579837, 1010708256, 
1886352499, 538976266, 1684611104, 1953702461, 959737967, 170012727, 
538976288, 2037674784, 574449004, 1886352499, 1819239213, 591032943, 
862074466, 1933260900, 762343284, 1667330159, 981038185, 537535024, 
538976288, 1936090735, 574452837, 790635057, 1815034942, 1634037353, 
1634879346, 1852139876, 1815887476, 1634037353, 1634879346, 1852139876, 
538970740, 1029990688, 1852402722, 1198678373, 1768186226, 880045669, 
574108473, 1953709118, 537555055, 538976288, 574448745, 1886352499, 
808728884, 538970658, 1931485216, 1701607796, 1953702461, 1663922287, 
1919904879, 808461114, 808464432, 1869902651, 1886334320}}}, ccl = 
0x3d64692000000001, utf_16 = {bom = utf_without_bom, endian = (unknown: 
1029990688), surrogate = 1852402722}, utf_8_bom = utf_without_bom, 
emacs_mule = {cmp_status = {state = COMPOSING_CHAR, method = 1029990688, 
old_form = 34, length = 1198678373, nchars = 1768186226, ncomps = 
880045669, carryover = {573978169, 1953709118, 537555055, 538976288, 
574448745, 1886352499, 943077684, 538970658, 1931485216, 1701607796, 
1953702461, 1663922287, 1919904879, 912401210, 946090850, 1869902651, 
1886334320, 1953063777, 573651577, 538976266, 1718558752, 1952805734, 
573579837, 1010708256, 1886352499, 538976266, 1684611104, 1953702461, 
959737967, 170012727, 538976288, 2037674784, 574449004, 1886352499, 
1819239213, 591032943, 862074466, 1933260900, 762343284, 1667330159, 
981038185, 537535024, 538976288, 1936090735, 574452837, 790635057, 
1815034942, 1634037353, 1634879346, 1852139876, 1815887476, 1634037353, 
1634879346, 1852139876, 538970740, 1029990688, 1852402722, 1198678373, 
1768186226, 880045669, 574108473, 1953709118, 537555055, 538976288, 
574448745, 1886352499, 808728884, 538970658}}}, undecided = {inhibit_nbd 
= 1, inhibit_ied = 1029990688, prefer_utf_8 = 34}}, max_charset_id = 2, 
safe_charsets = 0xbc7b58 "\377\377", src_multibyte = false, 
dst_multibyte = true, head_ascii = 2314885437676549235, 
detected_utf8_bytes = 8391088177794326560, detected_utf8_chars = 
730201289466867823, eol_seen = 538976288, produced = 30, produced_char = 
30, consumed = 30, consumed_char = 30, errors = 0, error_positions = 
0x7366666f20202020, result = CODING_RESULT_SUCCESS, src_pos = 
7018136993392442430, src_pos_byte = 7954880196672374642, src_chars = 30, 
src_bytes = 30, src_object = 12331890, source = 0x7ffffd509680 
"\nLiquibase 'dbDoc' Successful\n: Successfully released change log 
locklog/changelog/db.changelog-master.xml::2.0.5.tag::robin.green: Tag 
'version_2.0.5' applied to database\nINFO 01/02/16 15:33: liquiba"..., 
dst_pos = 113802, dst_pos_byte = 113802, dst_bytes = 2009, dst_object = 
75471861, destination = 0x754c389 "\nLiquibase 'dbDoc' Successful\n", 
charbuf = 0x7702490, charbuf_size = 16384, charbuf_used = 30, 
chars_at_source = false, raw_destination = false, annotated = false, 
carryover = "lor:#bab8db;stop-opacity:1\"\n offset=\"0\" /><stop\n     
id=\"sto", carryover_bytes = 0, default_char = 32, detector = 0x4827e0 
<detect_coding_utf_8>, decoder = 0x481ae0 <decode_coding_utf_8>, encoder 
= 0x48c020 <encode_coding_utf_8>}
         argument_coding =
           {id = 13, common_flags = 256, mode = 0, spec = {iso_2022 = 
{flags = 909718833, current_invocation = {170013750, 538976288}, 
current_designation = {1717989152, 1031038323, 539111714, 792477231}, 
ctext_extended_segment_len = 1701734764, single_shifting = true, bol = 
false, embedded_utf_8 = false, cmp_status = {state = 1701405793, method 
= 1010725998, old_form = 108, length = 1917284961, nchars = 1701405793, 
ncomps = 537556078, carryover = {1684611104, 1768694333, 1918985582, 
1684107847, 1953391977, 909588532, 1933327906, 175140724, 538976288, 
1029990688, 1869902626, 926430320, 537535032, 538976288, 1819898995, 
1931623781, 762343284, 1869377379, 1680030322, 1697801267, 1953708856, 
1865248879, 1768120688, 825915764, 538970658, 1864376352, 1702061670, 
807550324, 1043275810, 1869902652, 538970736, 1763713056, 1931623780, 
879783796, 573585464, 538976266, 1953701920, 1030057081, 1869902626, 
1868770672, 980578156, 892941603, 993616181, 1886352499, 1634758445, 
2037672291, 959328314, 959787321, 573847094, 538976266, 1718558752, 
1952805734, 573645373, 1010708256, 1852402735, 1198678373, 1768186226, 
1047817829, 1634876426, 1818323300, 1684107847, 1953391977, 538976266, 
574453859, 959328306, 842346805, 537535033, 2036539424}}}, ccl = 
0xa22343636393531, utf_16 = {bom = (utf_without_bom | unknown: 
909718832), endian = (unknown: 170013750), surrogate = 538976288}, 
utf_8_bom = (utf_without_bom | unknown: 909718832), emacs_mule = 
{cmp_status = {state = 909718833, method = 170013750, old_form = 32, 
length = 1717989152, nchars = 1031038323, ncomps = 539111714, carryover 
= {792477231, 1701734764, 1917284961, 1701405793, 1010725998, 
1701734764, 1917284961, 1701405793, 537556078, 1684611104, 1768694333, 
1918985582, 1684107847, 1953391977, 909588532, 1933327906, 175140724, 
538976288, 1029990688, 1869902626, 926430320, 537535032, 538976288, 
1819898995, 1931623781, 762343284, 1869377379, 1680030322, 1697801267, 
1953708856, 1865248879, 1768120688, 825915764, 538970658, 1864376352, 
1702061670, 807550324, 1043275810, 1869902652, 538970736, 1763713056, 
1931623780, 879783796, 573585464, 538976266, 1953701920, 1030057081, 
1869902626, 1868770672, 980578156, 892941603, 993616181, 1886352499, 
1634758445, 2037672291, 959328314, 959787321, 573847094, 538976266, 
1718558752, 1952805734, 573645373, 1010708256, 1852402735, 1198678373, 
1768186226, 1047817829, 1634876426}}}, undecided = {inhibit_nbd = 
909718833, inhibit_ied = 170013750, prefer_utf_8 = 32}}, max_charset_id 
= 0, safe_charsets = 0xbc7a88 "\377", src_multibyte = false, 
dst_multibyte = false, head_ascii = 8675657054524416565, 
detected_utf8_bytes = 3545803152164004413, detected_utf8_chars = 
2314885436364370485, eol_seen = 574454118, produced = 
730207903699843374, produced_char = 8224203371001684000, consumed = 
7021753299840361569, consumed_char = 4123103133530679652, errors = 
7816032475650073138, error_positions = 0x666572683a6b6e69, result = 
1814241853, src_pos = 7954880196672374642, src_pos_byte = 
2308695383854298228, src_chars = 7307482240079306784, src_bytes = 
4428010854806811758, src_object = 7021203569864045858, source = 
0x226573556e4f6563 <error: Cannot access memory at address 
0x226573556e4f6563>, dst_pos = 7233188263779901450, dst_pos_byte = 
7953764123969217897, dst_bytes = 7863915439622940275, dst_object = 
3328204622257091681, destination = 0x2c39333437313836 <error: Cannot 
access memory at address 0x2c39333437313836>, charbuf = 
0x39352e302c302c30, charbuf_size = 892548400, charbuf_used = 858598453, 
chars_at_source = false, raw_destination = false, annotated = true, 
carryover = "8523706,-28.935273)\" /><radialGradient\n 
cx=\"233.8876\"\n   cy=\"4", carryover_bytes = 0, default_char = 32, 
detector = 0x0, decoder = 0x480420 <decode_coding_raw_text>, encoder = 
0x48ca20 <encode_coding_raw_text>}
         coding_systems = <optimized out>
         discard_output = <optimized out>
#4  0x00000000005a9ef2 in Fcall_process (nargs=6, args=0x7ffffd519700) 
at ../../src/callproc.c:296
         infile = 117219537
         filefd = 18
         count = 13
#5  0x0000000000561054 in eval_sub (form=<optimized out>) at 
../../src/eval.c:2154
         vals = 0x7ffffd519700
         argnum = <optimized out>
         sa_count = 13
         sa_must_free = <optimized out>
         numargs = <optimized out>
         args_left = 12331890
         i = <optimized out>
         maxargs = <optimized out>
         argvals = {12331890, 12331890, 12331890, 12331890, 104357010, 
104357058, 12331890, 12331938}
         fun = 11607981
         val = <optimized out>
         original_fun = <optimized out>
         original_args = 120008630
         funcar = <optimized out>
         gcpro3 = {next = <optimized out>, var = 0x7ffffd519700, nvars = 0}
         count = <optimized out>
#6  0x000000000056165d in funcall_lambda (body=120089702) at 
../../src/eval.c:462
         val = <optimized out>
         val = <optimized out>
         syms_left = 12331890
         next = <optimized out>
         lexenv = 12331890
         count = <optimized out>
         i = <optimized out>
         optional = <optimized out>
         rest = <optimized out>
#7  0x000000000056165d in funcall_lambda (fun=120089846, 
nargs=nargs@entry=0, arg_vector=arg_vector@entry=0x7ffffd5198e0) at 
../../src/eval.c:3037
         val = <optimized out>
         syms_left = 12331890
         next = <optimized out>
         lexenv = 12331890
         count = <optimized out>
         i = <optimized out>
         optional = <optimized out>
         rest = <optimized out>
#8  0x000000000056192b in Ffuncall (nargs=nargs@entry=1, 
args=args@entry=0x7ffffd5198d8) at ../../src/eval.c:2872
         fun = <optimized out>
         original_fun = 115667730
         funcar = <optimized out>
         numargs = 0
         lisp_numargs = 0
         val = <optimized out>
         internal_args = <optimized out>
         i = <optimized out>
         count = 11
#9  0x0000000000563107 in apply1 (fn=fn@entry=115667730, 
arg=arg@entry=12331890) at ../../src/eval.c:2577
         gcpro1 = <optimized out>
#10 0x000000000055d6f9 in Fcall_interactively (function=115667730, 
record_flag=17049810, keys=12366653) at ../../src/callint.c:378
         input = <optimized out>
         funval = <optimized out>
         events = <optimized out>
         args = <optimized out>
         visargs = <optimized out>
         specs = 12331890
         filter_specs = <optimized out>
         teml = <optimized out>
         up_event = <optimized out>
         enable = <optimized out>
         speccount = 10
         next_event = <optimized out>
         prefix_arg = 12331890
         string = 0x0
         tem = <optimized out>
         varies = <optimized out>
         i = <optimized out>
         nargs = <optimized out>
         mark = <optimized out>
         arg_from_tty = false
         gcpro3 = <optimized out>
         gcpro4 = <optimized out>
         key_count = <optimized out>
         record_then_fail = false
         save_this_command = 115667730
         save_last_command = 12379026
         save_this_original_command = 60319682
         save_real_this_command = 115667730
#11 0x0000000000561b05 in Ffuncall (nargs=<optimized out>, 
args=args@entry=0x7ffffd519a98) at ../../src/eval.c:2818
         fun = 11594245
         original_fun = 12468738
         funcar = <optimized out>
         numargs = <optimized out>
         lisp_numargs = 12
         val = <optimized out>
         internal_args = 0x7ffffd519aa0
         i = <optimized out>
         count = 9
#12 0x0000000000597f23 in exec_byte_code (bytestr=<optimized out>, 
vector=9619037, maxdepth=<optimized out>, args_template=<optimized out>, 
nargs=nargs@entry=2, args=<optimized out>, args@entry=0x92c639 
<pure+917337>)
     at ../../src/bytecode.c:916
         targets =
           {0x5980b0 <exec_byte_code+1088>, 0x5990b0 
<exec_byte_code+5184>, 0x5990b8 <exec_byte_code+5192>, 0x5990c0 
<exec_byte_code+5200>, 0x597e70 <exec_byte_code+512>, 0x597e70 
<exec_byte_code+512>, 0x5997b8 <exec_byte_code+6984>, 0x599758 
<exec_byte_code+6888>, 0x5998a8 <exec_byte_code+7224>, 0x599880 
<exec_byte_code+7184>, 0x5999c0 <exec_byte_code+7504>, 0x5998a0 
<exec_byte_code+7216>, 0x597fd0 <exec_byte_code+864>, 0x597fd0 
<exec_byte_code+864>, 0x599430 <exec_byte_code+6080>, 0x599858 
<exec_byte_code+7144>, 0x599678 <exec_byte_code+6664>, 0x599680 
<exec_byte_code+6672>, 0x599030 <exec_byte_code+5056>, 0x5996c8 
<exec_byte_code+6744>, 0x598040 <exec_byte_code+976>, 0x598040 
<exec_byte_code+976>, 0x598108 <exec_byte_code+1176>, 0x599688 
<exec_byte_code+6680>, 0x5996f8 <exec_byte_code+6792>, 0x599700 
<exec_byte_code+6800>, 0x599740 <exec_byte_code+6864>, 0x599708 
<exec_byte_code+6808>, 0x597eb0 <exec_byte_code+576>, 0x597eb0 
<exec_byte_code+576>, 0x5996b0 <exec_byte_code+6720>, 0x5996d0 
<exec_byte_code+6752>, 0x599738 <exec_byte_code+6856>, 0x599748 
<exec_byte_code+6872>, 0x599750 <exec_byte_code+6880>, 0x598240 
<exec_byte_code+1488>, 0x597ef8 <exec_byte_code+648>, 0x597f00 
<exec_byte_code+656>, 0x599888 <exec_byte_code+7192>, 0x599710 
<exec_byte_code+6816>, 0x5990f8 <exec_byte_code+5256>, 0x5990f0 
<exec_byte_code+5248>, 0x599100 <exec_byte_code+5264>, 0x598260 
<exec_byte_code+1520>, 0x597f48 <exec_byte_code+728>, 0x597f50 
<exec_byte_code+736>, 0x598248 <exec_byte_code+1496>, 0x5990c8 
<exec_byte_code+5208>, 0x599308 <exec_byte_code+5784>, 0x5992b0 
<exec_byte_code+5696>, 0x599160 <exec_byte_code+5360>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5987a8 <exec_byte_code+2872>, 0x598840 
<exec_byte_code+3024>, 0x598890 <exec_byte_code+3104>, 0x5988e0 
<exec_byte_code+3184>, 0x598930 <exec_byte_code+3264>, 0x599590 
<exec_byte_code+6432>, 0x5994d0 <exec_byte_code+6240>, 0x598980 
<exec_byte_code+3344>, 0x599550 <exec_byte_code+6368>, 0x599510 
<exec_byte_code+6304>, 0x5989b8 <exec_byte_code+3400>, 0x5989f8 
<exec_byte_code+3464>, 0x598a28 <exec_byte_code+3512>, 0x598a68 
<exec_byte_code+3576>, 0x598aa0 <exec_byte_code+3632>, 0x598b28 
<exec_byte_code+3768>, 0x598b58 <exec_byte_code+3816>, 0x598b98 
<exec_byte_code+3880>, 0x598be0 <exec_byte_code+3952>, 0x598c10 
<exec_byte_code+4000>, 0x598c40 <exec_byte_code+4048>, 0x598c80 
<exec_byte_code+4112>, 0x598cc0 <exec_byte_code+4176>, 0x598d00 
<exec_byte_code+4240>, 0x598d40 <exec_byte_code+4304>, 0x598d78 
<exec_byte_code+4360>, 0x598db0 <exec_byte_code+4416>, 0x598e38 
<exec_byte_code+4552>, 0x598e78 <exec_byte_code+4616>, 0x598eb8 
<exec_byte_code+4680>, 0x598f70 <exec_byte_code+4864>, 0x598fb0 
<exec_byte_code+4928>, 0x598ff0 <exec_byte_code+4992>, 0x5999c8 
<exec_byte_code+7512>, 0x599a10 <exec_byte_code+7584>, 0x599a48 
<exec_byte_code+7640>, 0x599a80 <exec_byte_code+7696>, 0x599ab8 
<exec_byte_code+7752>, 0x599af0 <exec_byte_code+7808>, 0x599b28 
<exec_byte_code+7864>, 0x599bd8 <exec_byte_code+8040>, 0x597f98 
<exec_byte_code+808>, 0x599c18 <exec_byte_code+8104>, 0x599c48 
<exec_byte_code+8152>, 0x599cd0 <exec_byte_code+8288>, 0x599d10 
<exec_byte_code+8352>, 0x599d50 <exec_byte_code+8416>, 0x599d80 
<exec_byte_code+8464>, 0x599d
b0 <exec_byte_code+8512>, 0x599de0 <exec_byte_code+8560>, 0x599e18 
<exec_byte_code+8616>, 0x5980b0 <exec_byte_code+1088>, 0x599e50 
<exec_byte_code+8672>, 0x599e80 <exec_byte_code+8720>, 0x599eb0 
<exec_byte_code+8768>, 0x599ee0 <exec_byte_code+8816>, 0x599f10 
<exec_byte_code+8864>, 0x599f40 <exec_byte_code+8912>, 0x597f98 
<exec_byte_code+808>, 0x5980b0 <exec_byte_code+1088>, 0x599f70 
<exec_byte_code+8960>, 0x599fb8 <exec_byte_code+9032>, 0x599fe8 
<exec_byte_code+9080>, 0x59a018 <exec_byte_code+9128>, 0x59a058 
<exec_byte_code+9192>, 0x59a098 <exec_byte_code+9256>, 0x59a0c8 
<exec_byte_code+9304>, 0x59a1a0 <exec_byte_code+9520>, 0x59a1e0 
<exec_byte_code+9584>, 0x59a220 <exec_byte_code+9648>, 0x59a260 
<exec_byte_code+9712>, 0x59a290 <exec_byte_code+9760>, 0x5980b0 
<exec_byte_code+1088>, 0x599970 <exec_byte_code+7424>, 0x598298 
<exec_byte_code+1576>, 0x599448 <exec_byte_code+6104>, 0x598340 
<exec_byte_code+1744>, 0x598400 <exec_byte_code+1936>, 0x598480 
<exec_byte_code+2064>, 0x599108 <exec_byte_code+5272>, 0x599948 
<exec_byte_code+7384>, 0x598120 <exec_byte_code+1200>, 0x5998b0 
<exec_byte_code+7232>, 0x5998e0 <exec_byte_code+7280>, 0x599280 
<exec_byte_code+5648>, 0x5992c0 <exec_byte_code+5712>, 0x599340 
<exec_byte_code+5840>, 0x599398 <exec_byte_code+5928>, 0x5993e0 
<exec_byte_code+6000>, 0x598748 <exec_byte_code+2776>, 0x598268 
<exec_byte_code+1528>, 0x59a2c0 <exec_byte_code+9808>, 0x59a300 
<exec_byte_code+9872>, 0x59a518 <exec_byte_code+10408>, 0x59a548 
<exec_byte_code+10456>, 0x59a578 <exec_byte_code+10504>, 0x59a5a8 
<exec_byte_code+10552>, 0x59a5e8 <exec_byte_code+10616>, 0x59a628 
<exec_byte_code+10680>, 0x59a668 <exec_byte_code+10744>, 0x59a6a8 
<exec_byte_code+10808>, 0x59a330 <exec_byte_code+9920>, 0x59a370 
<exec_byte_code+9984>, 0x59a3b0 <exec_byte_code+10048>, 0x59a3e0 
<exec_byte_code+10096>, 0x59a420 <exec_byte_code+10160>, 0x59a460 
<exec_byte_code+10224>, 0x59a4a0 <exec_byte_code+10288>, 0x59a4e0 
<exec_byte_code+10352>, 0x599b60 <exec_byte_code+7920>, 0x599b98 
<exec_byte_code+7976>, 0x599038 <exec_byte_code+5064>, 0x599078 
<exec_byte_code+5128>, 0x5980b0 <exec_byte_code+1088>, 0x598538 
<exec_byte_code+2248>, 0x5985c0 <exec_byte_code+2384>, 0x598630 
<exec_byte_code+2496>, 0x5986d0 <exec_byte_code+2656>, 0x5995d8 
<exec_byte_code+6504>, 0x598ad8 <exec_byte_code+3688>, 0x598de8 
<exec_byte_code+4472>, 0x599c80 <exec_byte_code+8208>, 0x599808 
<exec_byte_code+7064>, 0x598150 <exec_byte_code+1248>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5981f0 
<exec_byte_code+1408>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5981b0 
<exec_byte_code+1344> <repeats 64 times>}
         count = <optimized out>
         op = <optimized out>
         vectorp = 0x92c660 <pure+917376>
         stack = {pc = 0xab8861 <pure+2539905> "\006\006\071\203\233", 
byte_string = 9619001, byte_string_start = 0xab87ed <pure+2539789> 
"\306\020\211?\205\f", next = 0x7ffffd519c80}
         top = 0x7ffffd519a98
         result = <optimized out>
         type = <optimized out>
#13 0x0000000000561627 in funcall_lambda (fun=140737443372160, 
nargs=nargs@entry=2, arg_vector=0x92c639 <pure+917337>, 
arg_vector@entry=0x7ffffd519c18) at ../../src/eval.c:2978
         val = <optimized out>
         syms_left = <optimized out>
         next = <optimized out>
         lexenv = <optimized out>
         count = <optimized out>
         i = <optimized out>
         optional = <optimized out>
         rest = <optimized out>
#14 0x000000000056192b in Ffuncall (nargs=3, 
args=args@entry=0x7ffffd519c10) at ../../src/eval.c:2872
         fun = <optimized out>
         original_fun = 12375522
         funcar = <optimized out>
         numargs = 2
         lisp_numargs = 8
         val = <optimized out>
         internal_args = <optimized out>
         i = <optimized out>
         count = 8
#15 0x0000000000597f23 in exec_byte_code (bytestr=<optimized out>, 
vector=93087741, maxdepth=<optimized out>, args_template=<optimized 
out>, nargs=nargs@entry=2, args=<optimized out>, args@entry=0x5406ab1) 
at ../../src/bytecode.c:916
         targets =
           {0x5980b0 <exec_byte_code+1088>, 0x5990b0 
<exec_byte_code+5184>, 0x5990b8 <exec_byte_code+5192>, 0x5990c0 
<exec_byte_code+5200>, 0x597e70 <exec_byte_code+512>, 0x597e70 
<exec_byte_code+512>, 0x5997b8 <exec_byte_code+6984>, 0x599758 
<exec_byte_code+6888>, 0x5998a8 <exec_byte_code+7224>, 0x599880 
<exec_byte_code+7184>, 0x5999c0 <exec_byte_code+7504>, 0x5998a0 
<exec_byte_code+7216>, 0x597fd0 <exec_byte_code+864>, 0x597fd0 
<exec_byte_code+864>, 0x599430 <exec_byte_code+6080>, 0x599858 
<exec_byte_code+7144>, 0x599678 <exec_byte_code+6664>, 0x599680 
<exec_byte_code+6672>, 0x599030 <exec_byte_code+5056>, 0x5996c8 
<exec_byte_code+6744>, 0x598040 <exec_byte_code+976>, 0x598040 
<exec_byte_code+976>, 0x598108 <exec_byte_code+1176>, 0x599688 
<exec_byte_code+6680>, 0x5996f8 <exec_byte_code+6792>, 0x599700 
<exec_byte_code+6800>, 0x599740 <exec_byte_code+6864>, 0x599708 
<exec_byte_code+6808>, 0x597eb0 <exec_byte_code+576>, 0x597eb0 
<exec_byte_code+576>, 0x5996b0 <exec_byte_code+6720>, 0x5996d0 
<exec_byte_code+6752>, 0x599738 <exec_byte_code+6856>, 0x599748 
<exec_byte_code+6872>, 0x599750 <exec_byte_code+6880>, 0x598240 
<exec_byte_code+1488>, 0x597ef8 <exec_byte_code+648>, 0x597f00 
<exec_byte_code+656>, 0x599888 <exec_byte_code+7192>, 0x599710 
<exec_byte_code+6816>, 0x5990f8 <exec_byte_code+5256>, 0x5990f0 
<exec_byte_code+5248>, 0x599100 <exec_byte_code+5264>, 0x598260 
<exec_byte_code+1520>, 0x597f48 <exec_byte_code+728>, 0x597f50 
<exec_byte_code+736>, 0x598248 <exec_byte_code+1496>, 0x5990c8 
<exec_byte_code+5208>, 0x599308 <exec_byte_code+5784>, 0x5992b0 
<exec_byte_code+5696>, 0x599160 <exec_byte_code+5360>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5987a8 <exec_byte_code+2872>, 0x598840 
<exec_byte_code+3024>, 0x598890 <exec_byte_code+3104>, 0x5988e0 
<exec_byte_code+3184>, 0x598930 <exec_byte_code+3264>, 0x599590 
<exec_byte_code+6432>, 0x5994d0 <exec_byte_code+6240>, 0x598980 
<exec_byte_code+3344>, 0x599550 <exec_byte_code+6368>, 0x599510 
<exec_byte_code+6304>, 0x5989b8 <exec_byte_code+3400>, 0x5989f8 
<exec_byte_code+3464>, 0x598a28 <exec_byte_code+3512>, 0x598a68 
<exec_byte_code+3576>, 0x598aa0 <exec_byte_code+3632>, 0x598b28 
<exec_byte_code+3768>, 0x598b58 <exec_byte_code+3816>, 0x598b98 
<exec_byte_code+3880>, 0x598be0 <exec_byte_code+3952>, 0x598c10 
<exec_byte_code+4000>, 0x598c40 <exec_byte_code+4048>, 0x598c80 
<exec_byte_code+4112>, 0x598cc0 <exec_byte_code+4176>, 0x598d00 
<exec_byte_code+4240>, 0x598d40 <exec_byte_code+4304>, 0x598d78 
<exec_byte_code+4360>, 0x598db0 <exec_byte_code+4416>, 0x598e38 
<exec_byte_code+4552>, 0x598e78 <exec_byte_code+4616>, 0x598eb8 
<exec_byte_code+4680>, 0x598f70 <exec_byte_code+4864>, 0x598fb0 
<exec_byte_code+4928>, 0x598ff0 <exec_byte_code+4992>, 0x5999c8 
<exec_byte_code+7512>, 0x599a10 <exec_byte_code+7584>, 0x599a48 
<exec_byte_code+7640>, 0x599a80 <exec_byte_code+7696>, 0x599ab8 
<exec_byte_code+7752>, 0x599af0 <exec_byte_code+7808>, 0x599b28 
<exec_byte_code+7864>, 0x599bd8 <exec_byte_code+8040>, 0x597f98 
<exec_byte_code+808>, 0x599c18 <exec_byte_code+8104>, 0x599c48 
<exec_byte_code+8152>, 0x599cd0 <exec_byte_code+8288>, 0x599d10 
<exec_byte_code+8352>, 0x599d50 <exec_byte_code+8416>, 0x599d80 
<exec_byte_code+8464>, 0x599db0 <exec_byte_code+8512>, 0x599de0 
<exec_byte_code+8560>, 0x599e18 <exec_byte_code+8616>, 0x5980b0 
<exec_byte_code+1088>, 0x599e50 <exec_byte_code+8672>, 0x599e80 
<exec_byte_code+8720>, 0x599eb0 <exec_byte_code+8768>, 0x599ee0 
<exec_byte_code+8816>, 0x599f10 <exec_byte_code+8864>, 0x599f40 
<exec_byte_code+8912>, 0x597f98 <exec_byte_code+808>, 0x5980b0 
<exec_byte_code+1088>, 0x599f70 <exec_byte_code+8960>, 0x599fb8 
<exec_byte_code+9032>, 0x599fe8 <exec_byte_code+9080>, 0x59a018 
<exec_byte_code+9128>, 0x59a058 <exec_byte_code+9192>, 0x59a098 
<exec_byte_code+9256>, 0x59a0c8 <exec_byte_code+9304>, 0x59a1a0 
<exec_byte_code+9520>, 0x59a1e0 <exec_byte_code+9584>, 0x59a220 
<exec_byte_code+9648>, 0x59a260 <exec_byte_code+9712>, 0x59a290 
<exec_byte_code+9760>, 0x5980b0 <exec_byte_code+1088>, 0x599970 
<exec_byte_code+7424>, 0x598298 <exec_byte_code+1576>, 0x599448 
<exec_byte_code+6104>, 0x598340 <exec_byte_code+1744>, 0x598400 
<exec_byte_code+1936>, 0x598480 <exec_byte_code+2064>, 0x599108 
<exec_byte_code+5272>, 0x599948 <exec_byte_code+7384>, 0x598120 
<exec_byte_code+1200>, 0x5998b0 <exec_byte_code+7232>, 0x5998e0 
<exec_byte_code+7280>, 0x599280 <exec_byte_code+5648>, 0x5992c0 
<exec_byte_code+5712>, 0x599340 <exec_byte_code+5840>, 0x599398 
<exec_byte_code+5928>, 0x5993e0 <exec_byte_code+6000>, 0x598748 
<exec_byte_code+2776>, 0x598268 <exec_byte_code+1528>, 0x59a2c0 
<exec_byte_code+9808>, 0x59a300 <exec_byte_code+9872>, 0x59a518 
<exec_byte_code+10408>, 0x59a548 <exec_byte_code+10456>, 0x59a578 
<exec_byte_code+10504>, 0x59a5a8 <exec_byte_code+10552>, 0x59a5e8 
<exec_byte_code+10616>, 0x59a628 <exec_byte_code+10680>, 0x59a668 
<exec_byte_code+10744>, 0x59a6a8 <exec_byte_code+10808>, 0x59a330 
<exec_byte_code+9920>, 0x59a370 <exec_byte_code+9984>, 0x59a3b0 
<exec_byte_code+10048>, 0x59a3e0 <exec_byte_code+10096>, 0x59a420 
<exec_byte_code+10160>, 0x59a460 <exec_byte_code+10224>, 0x59a4a0 
<exec_byte_code+10288>, 0x59a4e0 <exec_byte_code+10352>, 0x599b60 
<exec_byte_code+7920>, 0x599b98 <exec_byte_code+7976>, 0x599038 
<exec_byte_code+5064>, 0x599078 <exec_byte_code+5128>, 0x5980b0 
<exec_byte_code+1088>, 0x598538 <exec_byte_code+2248>, 0x5985c0 
<exec_byte_code+2384>, 0x598630 <exec_byte_code+2496>, 0x5986d0 
<exec_byte_code+2656>, 0x5995d8 <exec_byte_code+6504>, 0x598ad8 
<exec_byte_code+3688>, 0x598de8 <exec_byte_code+4472>, 0x599c80 
<exec_byte_code+8208>, 0x599808 <exec_byte_code+7064>, 0x598150 
<exec_byte_code+1248>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5981f0 <exec_byte_code+1408>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5981b0 <exec_byte_code+1344> <repeats 64 times>}
         count = <optimized out>
         op = <optimized out>
         vectorp = 0x58c6800
         stack = {pc = 0x300d15a "\210\001\311\003\r\"B\025\f\205*", 
byte_string = 88107697, byte_string_start = 0x300d140 "\211;\205\b", 
next = 0x7ffffd51a040}
         top = 0x7ffffd519c10
         result = <optimized out>
         type = <optimized out>
#16 0x0000000000561627 in funcall_lambda (fun=140737443373120, 
nargs=nargs@entry=2, arg_vector=0x5406ab1, 
arg_vector@entry=0x7ffffd519d58) at ../../src/eval.c:2978
         val = <optimized out>
         syms_left = <optimized out>
         next = <optimized out>
         lexenv = <optimized out>
         count = <optimized out>
         i = <optimized out>
         optional = <optimized out>
         rest = <optimized out>
#17 0x000000000056192b in Ffuncall (nargs=nargs@entry=3, 
args=args@entry=0x7ffffd519d50) at ../../src/eval.c:2872
         fun = <optimized out>
         original_fun = 60319682
         funcar = <optimized out>
         numargs = 2
         lisp_numargs = 8
         val = <optimized out>
         internal_args = <optimized out>
         i = <optimized out>
         count = 6
#18 0x0000000000562e7c in Fapply (nargs=nargs@entry=2, 
args=args@entry=0x7ffffd519e00) at ../../src/eval.c:2350
         i = <optimized out>
         numargs = <optimized out>
         spread_arg = 12331890
         funcall_args = 0x7ffffd519d50
         fun = <optimized out>
         retval = <optimized out>
         gcpro1 = {next = <optimized out>, var = <optimized out>, nvars = 3}
         sa_count = 6
         sa_must_free = false
#19 0x00000000005630e0 in apply1 (fn=fn@entry=60319682, 
arg=arg@entry=106420358) at ../../src/eval.c:2584
         args = {60319682, 106420358}
         gcpro1 = {next = <optimized out>, var = 0x7ffffd519e00, nvars = 2}
#20 0x000000000055d6f9 in Fcall_interactively (function=60319682, 
record_flag=12331890, keys=12366653) at ../../src/callint.c:378
         input = <optimized out>
         funval = <optimized out>
         events = <optimized out>
         args = <optimized out>
         visargs = <optimized out>
         specs = 106420358
         filter_specs = <optimized out>
         teml = <optimized out>
         up_event = <optimized out>
         enable = <optimized out>
         speccount = 5
         next_event = <optimized out>
         prefix_arg = 12331890
         string = 0x0
         tem = <optimized out>
         varies = <optimized out>
         i = <optimized out>
         nargs = <optimized out>
         mark = <optimized out>
         arg_from_tty = false
         gcpro3 = <optimized out>
         gcpro4 = <optimized out>
         key_count = <optimized out>
         record_then_fail = false
         save_this_command = 60319682
         save_last_command = 12379026
         save_this_original_command = 60319682
         save_real_this_command = 60319682
#21 0x0000000000561b05 in Ffuncall (nargs=<optimized out>, 
args=args@entry=0x7ffffd519fb8) at ../../src/eval.c:2818
         fun = 11594245
         original_fun = 12468738
         funcar = <optimized out>
         numargs = <optimized out>
         lisp_numargs = 12
         val = <optimized out>
         internal_args = 0x7ffffd519fc0
         i = <optimized out>
         count = 4
#22 0x0000000000597f23 in exec_byte_code (bytestr=<optimized out>, 
vector=9619037, maxdepth=<optimized out>, args_template=<optimized out>, 
nargs=nargs@entry=1, args=<optimized out>, args@entry=0x92c639 
<pure+917337>)
     at ../../src/bytecode.c:916
         targets =
           {0x5980b0 <exec_byte_code+1088>, 0x5990b0 
<exec_byte_code+5184>, 0x5990b8 <exec_byte_code+5192>, 0x5990c0 
<exec_byte_code+5200>, 0x597e70 <exec_byte_code+512>, 0x597e70 
<exec_byte_code+512>, 0x5997b8 <exec_byte_code+6984>, 0x599758 
<exec_byte_code+6888>, 0x5998a8 <exec_byte_code+7224>, 0x599880 
<exec_byte_code+7184>, 0x5999c0 <exec_byte_code+7504>, 0x5998a0 
<exec_byte_code+7216>, 0x597fd0 <exec_byte_code+864>, 0x597fd0 
<exec_byte_code+864>, 0x599430 <exec_byte_code+6080>, 0x599858 
<exec_byte_code+7144>, 0x599678 <exec_byte_code+6664>, 0x599680 
<exec_byte_code+6672>, 0x599030 <exec_byte_code+5056>, 0x5996c8 
<exec_byte_code+6744>, 0x598040 <exec_byte_code+976>, 0x598040 
<exec_byte_code+976>, 0x598108 <exec_byte_code+1176>, 0x599688 
<exec_byte_code+6680>, 0x5996f8 <exec_byte_code+6792>, 0x599700 
<exec_byte_code+6800>, 0x599740 <exec_byte_code+6864>, 0x599708 
<exec_byte_code+6808>, 0x597eb0 <exec_byte_code+576>, 0x597eb0 
<exec_byte_code+576>, 0x5996b0 <exec_byte_code+6720>, 0x5996d0 
<exec_byte_code+6752>, 0x599738 <exec_byte_code+6856>, 0x599748 
<exec_byte_code+6872>, 0x599750 <exec_byte_code+6880>, 0x598240 
<exec_byte_code+1488>, 0x597ef8 <exec_byte_code+648>, 0x597f00 
<exec_byte_code+656>, 0x599888 <exec_byte_code+7192>, 0x599710 
<exec_byte_code+6816>, 0x5990f8 <exec_byte_code+5256>, 0x5990f0 
<exec_byte_code+5248>, 0x599100 <exec_byte_code+5264>, 0x598260 
<exec_byte_code+1520>, 0x597f48 <exec_byte_code+728>, 0x597f50 
<exec_byte_code+736>, 0x598248 <exec_byte_code+1496>, 0x5990c8 
<exec_byte_code+5208>, 0x599308 <exec_byte_code+5784>, 0x5992b0 
<exec_byte_code+5696>, 0x599160 <exec_byte_code+5360>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5987a8 <exec_byte_code+2872>, 0x598840 
<exec_byte_code+3024>, 0x598890 <exec_byte_code+3104>, 0x5988e0 
<exec_byte_code+3184>, 0x598930 <exec_byte_code+3264>, 0x599590 
<exec_byte_code+6432>, 0x5994d0 <exec_byte_code+6240>, 0x598980 
<exec_byte_code+3344>, 0x599550 <exec_byte_code+6368>, 0x599510 
<exec_byte_code+6304>, 0x5989b8 <exec_byte_code+3400>, 0x5989f8 
<exec_byte_code+3464>, 0x598a28 <exec_byte_code+3512>, 0x598a68 
<exec_byte_code+3576>, 0x598aa0 <exec_byte_code+3632>, 0x598b28 
<exec_byte_code+3768>, 0x598b58 <exec_byte_code+3816>, 0x598b98 
<exec_byte_code+3880>, 0x598be0 <exec_byte_code+3952>, 0x598c10 
<exec_byte_code+4000>, 0x598c40 <exec_byte_code+4048>, 0x598c80 
<exec_byte_code+4112>, 0x598cc0 <exec_byte_code+4176>, 0x598d00 
<exec_byte_code+4240>, 0x598d40 <exec_byte_code+4304>, 0x598d78 
<exec_byte_code+4360>, 0x598db0 <exec_byte_code+4416>, 0x598e38 
<exec_byte_code+4552>, 0x598e78 <exec_byte_code+4616>, 0x598eb8 
<exec_byte_code+4680>, 0x598f70 <exec_byte_code+4864>, 0x598fb0 
<exec_byte_code+4928>, 0x598ff0 <exec_byte_code+4992>, 0x5999c8 
<exec_byte_code+7512>, 0x599a10 <exec_byte_code+7584>, 0x599a48 
<exec_byte_code+7640>, 0x599a80 <exec_byte_code+7696>, 0x599ab8 
<exec_byte_code+7752>, 0x599af0 <exec_byte_code+7808>, 0x599b28 
<exec_byte_code+7864>, 0x599bd8 <exec_byte_code+8040>, 0x597f98 
<exec_byte_code+808>, 0x599c18 <exec_byte_code+8104>, 0x599c48 
<exec_byte_code+8152>, 0x599cd0 <exec_byte_code+8288>, 0x599d10 
<exec_byte_code+8352>, 0x599d50 <exec_byte_code+8416>, 0x599d80 
<exec_byte_code+8464>, 0x599db0 <exec_byte_code+8512>, 0x599de0 
<exec_byte_code+8560>, 0x599e18 <exec_byte_code+8616>, 0x5980b0 
<exec_byte_code+1088>, 0x599e50 <exec_byte_code+8672>, 0x599e80 
<exec_byte_code+8720>, 0x599eb0 <exec_byte_code+8768>, 0x599ee0 
<exec_byte_code+8816>, 0x599f10 <exec_byte_code+8864>, 0x599f40 
<exec_byte_code+8912>, 0x597f98 <exec_byte_code+808>, 0x5980b0 
<exec_byte_code+1088>, 0x599f70 <exec_byte_code+8960>, 0x599fb8 
<exec_byte_code+9032>, 0x599fe8 <exec_byte_code+9080>, 0x59a018 
<exec_byte_code+9128>, 0x59a058 <exec_byte_code+9192>, 0x59a098 
<exec_byte_code+9256>, 0x59a0c8 <exec_byte_code+9304>, 0x59a1a0 
<exec_byte_code+9520>, 0x59a1e0 <exec_byte_code+9584>, 0x59a220 
<exec_byte_code+9648>, 0x59a260 <exec_byte_code+9712>, 0x59a290 
<exec_byte_code+9760>, 0x5980b0 <exec_byte_code+1088>, 0x599970 
<exec_byte_code+7424>, 0x598298 <exec_byte_code+1576>, 0x599448 
<exec_byte_code+6104>, 0x598340 <exec_byte_code+1744>, 0x598400 
<exec_byte_code+1936>, 0x598480 <exec_byte_code+2064>, 0x599108 
<exec_byte_code+5272>, 0x599948 <exec_byte_code+7384>, 0x598120 
<exec_byte_code+1200>, 0x5998b0 <exec_byte_code+7232>, 0x5998e0 
<exec_byte_code+7280>, 0x599280 <exec_byte_code+5648>, 0x5992c0 
<exec_byte_code+5712>, 0x599340 <exec_byte_code+5840>, 0x599398 
<exec_byte_code+5928>, 0x5993e0 <exec_byte_code+6000>, 0x598748 
<exec_byte_code+2776>, 0x598268 <exec_byte_code+1528>, 0x59a2c0 
<exec_byte_code+9808>, 0x59a300 <exec_byte_code+9872>, 0x59a518 
<exec_byte_code+10408>, 0x59a548 <exec_byte_code+10456>, 0x59a578 
<exec_byte_code+10504>, 0x59a5a8 <exec_byte_code+10552>, 0x59a5e8 
<exec_byte_code+10616>, 0x59a628 <exec_byte_code+10680>, 0x59a668 
<exec_byte_code+10744>, 0x59a6a8 <exec_byte_code+10808>, 0x59a330 
<exec_byte_code+9920>, 0x59a370 <exec_byte_code+9984>, 0x59a3b0 
<exec_byte_code+10048>, 0x59a3e0 <exec_byte_code+10096>, 0x59a420 
<exec_byte_code+10160>, 0x59a460 <exec_byte_code+10224>, 0x59a4a0 
<exec_byte_code+10288>, 0x59a4e0 <exec_byte_code+10352>, 0x599b60 
<exec_byte_code+7920>, 0x599b98 <exec_byte_code+7976>, 0x599038 
<exec_byte_code+5064>, 0x599078 <exec_byte_code+5128>, 0x5980b0 
<exec_byte_code+1088>, 0x598538 <exec_byte_code+2248>, 0x5985c0 
<exec_byte_code+2384>, 0x598630 <exec_byte_code+2496>, 0x5986d0 
<exec_byte_code+2656>, 0x5995d8 <exec_byte_code+6504>, 0x598ad8 
<exec_byte_code+3688>, 0x598de8 <exec_byte_code+4472>, 0x599c80 
<exec_byte_code+8208>, 0x599808 <exec_byte_code+7064>, 0x598150 
<exec_byte_code+1248>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5981f0 <exec_byte_code+1408>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5980b0 <exec_byte_code+1088>, 0x5980b0 
<exec_byte_code+1088>, 0x5981b0 <exec_byte_code+1344> <repeats 64 times>}
         count = <optimized out>
         op = <optimized out>
         vectorp = 0x92c660 <pure+917376>
         stack = {pc = 0xab8861 <pure+2539905> "\006\006\071\203\233", 
byte_string = 9619001, byte_string_start = 0xab87ed <pure+2539789> 
"\306\020\211?\205\f", next = 0x0}
         top = 0x7ffffd519fb8
         result = <optimized out>
         type = <optimized out>
#23 0x0000000000561627 in funcall_lambda (fun=0, nargs=nargs@entry=1, 
arg_vector=0x92c639 <pure+917337>, arg_vector@entry=0x7ffffd51a118) at 
../../src/eval.c:2978
         val = <optimized out>
         syms_left = <optimized out>
         next = <optimized out>
         lexenv = <optimized out>
         count = <optimized out>
         i = <optimized out>
         optional = <optimized out>
         rest = <optimized out>
#24 0x000000000056192b in Ffuncall (nargs=nargs@entry=2, 
args=args@entry=0x7ffffd51a110) at ../../src/eval.c:2872
         fun = <optimized out>
         original_fun = 12375522
         funcar = <optimized out>
         numargs = 1
         lisp_numargs = 4
         val = <optimized out>
         internal_args = <optimized out>
         i = <optimized out>
         count = 3
#25 0x0000000000561c4a in call1 (fn=<optimized out>, arg1=<optimized 
out>) at ../../src/eval.c:2610
         ret_ungc_val = <optimized out>
         gcpro1 = {next = <optimized out>, var = <optimized out>, nvars = 2}
         args = {12375522, 60319682}
#26 0x00000000004faa2b in command_loop_1 () at ../../src/keyboard.c:1560
         scount = 2
         cmd = <optimized out>
         keybuf =
           {536871392, 5643013, 16982770, 7027076266406829056, 19, 
7027076266406829056, 9266528, 140737443373680, 12468738, 74895446, 4000, 
140737443374336, 74895446, 5650212, 12379122, 74895446, 8701697, 
12468738, 0, 7027076266406829056, 74895446, 5181814, 140737443373680, 
12331890, 12331890, 5182158, 256, 6284084, 64, 5637732}
         i = <optimized out>
         prev_modiff = 669
         prev_buffer = 0x64703a0
#27 0x000000000055fd87 in internal_condition_case 
(bfun=bfun@entry=0x4fa670 <command_loop_1>, handlers=<optimized out>, 
hfun=hfun@entry=0x4f11c0 <cmd_error>) at ../../src/eval.c:1348
         val = <optimized out>
         c = <optimized out>
#28 0x00000000004ec642 in command_loop_2 (ignore=ignore@entry=12331890) 
at ../../src/keyboard.c:1178
         val = -512
#29 0x000000000055fc6b in internal_catch (tag=12379170, 
func=func@entry=0x4ec620 <command_loop_2>, arg=12331890) at 
../../src/eval.c:1112
         val = <optimized out>
         c = <optimized out>
#30 0x00000000004f0d83 in recursive_edit_1 () at ../../src/keyboard.c:1157
         count = 1
         val = 20551008
#31 0x00000000004f0d83 in recursive_edit_1 () at ../../src/keyboard.c:778
         count = 1
         val = 20551008
#32 0x00000000004f10d8 in Frecursive_edit () at ../../src/keyboard.c:849
         buffer = <optimized out>
#33 0x0000000000418587 in main (argc=<optimized out>, 
argv=0x7ffffd51a508) at ../../src/emacs.c:1642
         dummy = 87130730089
         stack_bottom_variable = 0 '\000'
         do_initial_setlocale = <optimized out>
         dumping = <optimized out>
         skip_args = 0
         rlim = {rlim_cur = 8720000, rlim_max = 18446744073709551615}
         no_loadup = false
         junk = 0x0
         dname_arg = 0x0
         ch_to_dir = 0x0
         original_pwd = <optimized out>


In GNU Emacs 24.5.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.17.8)
of 2015-09-11 on buildvm-21.phx2.fedoraproject.org
Windowing system distributor `Fedora Project', version 11.0.11800000
Configured using:
`configure --build=x86_64-redhat-linux-gnu
--host=x86_64-redhat-linux-gnu --program-prefix=
--disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
--bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
--datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
--libexecdir=/usr/libexec --localstatedir=/var
--sharedstatedir=/var/lib --mandir=/usr/share/man
--infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
--with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
--with-gpm=no build_alias=x86_64-redhat-linux-gnu
host_alias=x86_64-redhat-linux-gnu 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g
-pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector-strong --param=ssp-buffer-size=4
-grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1
-m64 -mtune=generic' LDFLAGS=-Wl,-z,relro'

Important settings:
value of $LANG: en_GB.UTF-8
locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
global-flycheck-mode: t
gradle-mode: t
delete-selection-mode: t
github-notifier-mode: t
window-numbering-mode: t
helm-mode: t
projectile-global-mode: t
diff-auto-refine-mode: t
magit-auto-revert-mode: t
global-git-commit-mode: t
async-bytecomp-package-mode: t
shell-dirtrack-mode: t
override-global-mode: t
pallet-mode: t
recentf-mode: t
desktop-save-mode: t
auto-insert-mode: t
tooltip-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
column-number-mode: t
line-number-mode: t
transient-mark-mode: t

Recent messages:
The footer should be: (provide '.emacs)\n;;; .emacs ends here [2 times]
try-migration
Saving file /home/robin/.homesick/repos/dotfiles/home/.emacs...
Wrote /home/robin/.homesick/repos/dotfiles/home/.emacs
Waiting for process to die...done
Quit
The footer should be: (provide '.emacs)\n;;; .emacs ends here
Type "q" in help window to restore its previous buffer.
The footer should be: (provide '.emacs)\n;;; .emacs ends here [2 times]
Waiting for process to die...done
Quit

Load-path shadows:
/home/robin/.emacs.d/.cask/24.5.1/elpa/helm-20160131.2255/helm-multi-match 
hides 
/home/robin/.emacs.d/.cask/24.5.1/elpa/helm-core-20160201.100/helm-multi-match
/home/robin/.emacs.d/.cask/24.5.1/elpa/flim-20151212.2350/hex-util hides 
/usr/share/emacs/24.5/lisp/hex-util
/home/robin/.emacs.d/.cask/24.5.1/elpa/flim-20151212.2350/md4 hides 
/usr/share/emacs/24.5/lisp/md4
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-id hides 
/usr/share/emacs/24.5/lisp/org/org-id
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-fortran hides 
/usr/share/emacs/24.5/lisp/org/ob-fortran
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-dot hides 
/usr/share/emacs/24.5/lisp/org/ob-dot
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-awk hides 
/usr/share/emacs/24.5/lisp/org/ob-awk
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-clock hides 
/usr/share/emacs/24.5/lisp/org/org-clock
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-element hides 
/usr/share/emacs/24.5/lisp/org/org-element
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ox-ascii hides 
/usr/share/emacs/24.5/lisp/org/ox-ascii
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-ruby hides 
/usr/share/emacs/24.5/lisp/org/ob-ruby
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-emacs-lisp hides 
/usr/share/emacs/24.5/lisp/org/ob-emacs-lisp
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-info hides 
/usr/share/emacs/24.5/lisp/org/org-info
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-C hides 
/usr/share/emacs/24.5/lisp/org/ob-C
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-footnote hides 
/usr/share/emacs/24.5/lisp/org/org-footnote
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-pcomplete hides 
/usr/share/emacs/24.5/lisp/org/org-pcomplete
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-sql hides 
/usr/share/emacs/24.5/lisp/org/ob-sql
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-asymptote hides 
/usr/share/emacs/24.5/lisp/org/ob-asymptote
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-perl hides 
/usr/share/emacs/24.5/lisp/org/ob-perl
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-sass hides 
/usr/share/emacs/24.5/lisp/org/ob-sass
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-haskell hides 
/usr/share/emacs/24.5/lisp/org/ob-haskell
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-eshell hides 
/usr/share/emacs/24.5/lisp/org/org-eshell
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-ledger hides 
/usr/share/emacs/24.5/lisp/org/ob-ledger
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-octave hides 
/usr/share/emacs/24.5/lisp/org/ob-octave
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-macro hides 
/usr/share/emacs/24.5/lisp/org/org-macro
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-plantuml hides 
/usr/share/emacs/24.5/lisp/org/ob-plantuml
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-mobile hides 
/usr/share/emacs/24.5/lisp/org/org-mobile
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-ctags hides 
/usr/share/emacs/24.5/lisp/org/org-ctags
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ox-html hides 
/usr/share/emacs/24.5/lisp/org/ox-html
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ox-man hides 
/usr/share/emacs/24.5/lisp/org/ox-man
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-mouse hides 
/usr/share/emacs/24.5/lisp/org/org-mouse
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob hides 
/usr/share/emacs/24.5/lisp/org/ob
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-sqlite hides 
/usr/share/emacs/24.5/lisp/org/ob-sqlite
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-makefile hides 
/usr/share/emacs/24.5/lisp/org/ob-makefile
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-tangle hides 
/usr/share/emacs/24.5/lisp/org/ob-tangle
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-table hides 
/usr/share/emacs/24.5/lisp/org/ob-table
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-bibtex hides 
/usr/share/emacs/24.5/lisp/org/org-bibtex
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-java hides 
/usr/share/emacs/24.5/lisp/org/ob-java
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-ocaml hides 
/usr/share/emacs/24.5/lisp/org/ob-ocaml
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-lisp hides 
/usr/share/emacs/24.5/lisp/org/ob-lisp
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-src hides 
/usr/share/emacs/24.5/lisp/org/org-src
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-datetree hides 
/usr/share/emacs/24.5/lisp/org/org-datetree
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ox-beamer hides 
/usr/share/emacs/24.5/lisp/org/ox-beamer
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-habit hides 
/usr/share/emacs/24.5/lisp/org/org-habit
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-irc hides 
/usr/share/emacs/24.5/lisp/org/org-irc
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-macs hides 
/usr/share/emacs/24.5/lisp/org/org-macs
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org hides 
/usr/share/emacs/24.5/lisp/org/org
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-bbdb hides 
/usr/share/emacs/24.5/lisp/org/org-bbdb
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-agenda hides 
/usr/share/emacs/24.5/lisp/org/org-agenda
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-keys hides 
/usr/share/emacs/24.5/lisp/org/ob-keys
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-scala hides 
/usr/share/emacs/24.5/lisp/org/ob-scala
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-table hides 
/usr/share/emacs/24.5/lisp/org/org-table
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-comint hides 
/usr/share/emacs/24.5/lisp/org/ob-comint
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-js hides 
/usr/share/emacs/24.5/lisp/org/ob-js
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-mhe hides 
/usr/share/emacs/24.5/lisp/org/org-mhe
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-archive hides 
/usr/share/emacs/24.5/lisp/org/org-archive
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-ref hides 
/usr/share/emacs/24.5/lisp/org/ob-ref
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-version hides 
/usr/share/emacs/24.5/lisp/org/org-version
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-inlinetask hides 
/usr/share/emacs/24.5/lisp/org/org-inlinetask
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-indent hides 
/usr/share/emacs/24.5/lisp/org/org-indent
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-scheme hides 
/usr/share/emacs/24.5/lisp/org/ob-scheme
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-maxima hides 
/usr/share/emacs/24.5/lisp/org/ob-maxima
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-gnus hides 
/usr/share/emacs/24.5/lisp/org/org-gnus
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-capture hides 
/usr/share/emacs/24.5/lisp/org/org-capture
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-attach hides 
/usr/share/emacs/24.5/lisp/org/org-attach
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-protocol hides 
/usr/share/emacs/24.5/lisp/org/org-protocol
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-colview hides 
/usr/share/emacs/24.5/lisp/org/org-colview
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-gnuplot hides 
/usr/share/emacs/24.5/lisp/org/ob-gnuplot
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-feed hides 
/usr/share/emacs/24.5/lisp/org/org-feed
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ox-icalendar hides 
/usr/share/emacs/24.5/lisp/org/ox-icalendar
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-compat hides 
/usr/share/emacs/24.5/lisp/org/org-compat
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-mscgen hides 
/usr/share/emacs/24.5/lisp/org/ob-mscgen
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-crypt hides 
/usr/share/emacs/24.5/lisp/org/org-crypt
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-loaddefs hides 
/usr/share/emacs/24.5/lisp/org/org-loaddefs
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-eval hides 
/usr/share/emacs/24.5/lisp/org/ob-eval
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-entities hides 
/usr/share/emacs/24.5/lisp/org/org-entities
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-plot hides 
/usr/share/emacs/24.5/lisp/org/org-plot
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-list hides 
/usr/share/emacs/24.5/lisp/org/org-list
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-org hides 
/usr/share/emacs/24.5/lisp/org/ob-org
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-shen hides 
/usr/share/emacs/24.5/lisp/org/ob-shen
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-io hides 
/usr/share/emacs/24.5/lisp/org/ob-io
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-lob hides 
/usr/share/emacs/24.5/lisp/org/ob-lob
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ox-org hides 
/usr/share/emacs/24.5/lisp/org/ox-org
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-ditaa hides 
/usr/share/emacs/24.5/lisp/org/ob-ditaa
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ox-texinfo hides 
/usr/share/emacs/24.5/lisp/org/ox-texinfo
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-timer hides 
/usr/share/emacs/24.5/lisp/org/org-timer
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-python hides 
/usr/share/emacs/24.5/lisp/org/ob-python
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ox hides 
/usr/share/emacs/24.5/lisp/org/ox
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ox-odt hides 
/usr/share/emacs/24.5/lisp/org/ox-odt
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-rmail hides 
/usr/share/emacs/24.5/lisp/org/org-rmail
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-install hides 
/usr/share/emacs/24.5/lisp/org/org-install
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ox-publish hides 
/usr/share/emacs/24.5/lisp/org/ox-publish
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-w3m hides 
/usr/share/emacs/24.5/lisp/org/org-w3m
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-exp hides 
/usr/share/emacs/24.5/lisp/org/ob-exp
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-R hides 
/usr/share/emacs/24.5/lisp/org/ob-R
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-clojure hides 
/usr/share/emacs/24.5/lisp/org/ob-clojure
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ox-md hides 
/usr/share/emacs/24.5/lisp/org/ox-md
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-docview hides 
/usr/share/emacs/24.5/lisp/org/org-docview
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-screen hides 
/usr/share/emacs/24.5/lisp/org/ob-screen
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-core hides 
/usr/share/emacs/24.5/lisp/org/ob-core
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-calc hides 
/usr/share/emacs/24.5/lisp/org/ob-calc
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/org-faces hides 
/usr/share/emacs/24.5/lisp/org/org-faces
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ox-latex hides 
/usr/share/emacs/24.5/lisp/org/ox-latex
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-picolisp hides 
/usr/share/emacs/24.5/lisp/org/ob-picolisp
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-css hides 
/usr/share/emacs/24.5/lisp/org/ob-css
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-matlab hides 
/usr/share/emacs/24.5/lisp/org/ob-matlab
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-lilypond hides 
/usr/share/emacs/24.5/lisp/org/ob-lilypond
/home/robin/.emacs.d/.cask/24.5.1/elpa/org-20160201/ob-latex hides 
/usr/share/emacs/24.5/lisp/org/ob-latex
/home/robin/.emacs.d/.cask/24.5.1/elpa/flim-20151212.2350/sasl-cram 
hides /usr/share/emacs/24.5/lisp/net/sasl-cram
/home/robin/.emacs.d/.cask/24.5.1/elpa/flim-20151212.2350/hmac-def hides 
/usr/share/emacs/24.5/lisp/net/hmac-def
/home/robin/.emacs.d/.cask/24.5.1/elpa/flim-20151212.2350/sasl-ntlm 
hides /usr/share/emacs/24.5/lisp/net/sasl-ntlm
/home/robin/.emacs.d/.cask/24.5.1/elpa/flim-20151212.2350/sasl hides 
/usr/share/emacs/24.5/lisp/net/sasl
/home/robin/.emacs.d/.cask/24.5.1/elpa/flim-20151212.2350/ntlm hides 
/usr/share/emacs/24.5/lisp/net/ntlm
/home/robin/.emacs.d/.cask/24.5.1/elpa/flim-20151212.2350/hmac-md5 hides 
/usr/share/emacs/24.5/lisp/net/hmac-md5
/home/robin/.emacs.d/.cask/24.5.1/elpa/flim-20151212.2350/sasl-digest 
hides /usr/share/emacs/24.5/lisp/net/sasl-digest
/home/robin/.emacs.d/.cask/24.5.1/elpa/emms-20151211.1153/tq hides 
/usr/share/emacs/24.5/lisp/emacs-lisp/tq

Features:
(shadow sort mail-extr emacsbug sendmail eieio-opt speedbar sb-image
ezimage dframe magit-topgit linum etags misearch multi-isearch helm-ag
image-file ido winner helm-command helm-elisp helm-eval edebug eldoc
desktop+ conf-mode python goto-addr ruby-mode nxml-uchnm rng-xsd
xsd-regexp rng-cmpct rng-nxml rng-valid nxml-mode nxml-outln nxml-rap
nxml-glyph markdown-mode inf-groovy groovy-mode yaml-mode sh-script smie
executable hl-todo cc-langs cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs org-rmail org-mhe org-irc
org-info org-gnus org-docview doc-view jka-compr image-mode org-bibtex
bibtex org-bbdb org-element avl-tree org-w3m org org-macro org-footnote
org-pcomplete org-list org-faces org-entities noutline outline
org-version ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-src ob-keys ob-comint ob-core ob-eval org-compat org-macs
org-loaddefs cal-menu calendar cal-loaddefs ensime-company yasnippet
company pcase scala-mode2 scala-mode2-imenu scala-mode2-sbt
scala-mode2-map scala-mode2-fontlock scala-mode2-indent
scala-mode2-paragraph scala-mode2-lib flycheck find-func subr-x seq
gradle-mode delsel genrnc yaxception log4e concurrent deferred em-glob
esh-util rng-loc rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn
nxml-parse nxml-ns nxml-enc xmltok nxml-util rx ensime ensime-sbt
sbt-mode sbt-mode-rgrep sbt-mode-comint sbt-mode-buffer sbt-mode-project
ensime-http ensime-ui ensime-semantic-highlight ensime-doc ensime-search
ensime-undo ensime-startup ensime-refactor ensime-popup ensime-notes
ensime-model ensime-mode ensime-inspector imenu ensime-goto-testfile
ensime-editor popup ensime-debug gdb-mi bindat gud ensime-stacktrace
ensime-inf ensime-completion-util scala-mode2-syntax ensime-config
ensime-util ensime-client ensime-vars flymake hideshow arc-mode
archive-mode ensime-macros cl gnutls network-stream starttls url-http
tls url-gw url-cache url-auth github-notifier bookmark+ bookmark+-key
derived bookmark+-1 bookmark+-bmu bookmark+-lit window-numbering
helm-mode helm-config helm-easymenu helm-projectile helm-files
image-dired dired-x dired-aux ffap helm-tags helm-bookmark helm-adaptive
helm-info bookmark pp helm-external helm-net browse-url xml url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util url-parse url-vars mailcap helm-buffers helm-grep
helm-regexp helm-plugin helm-elscreen helm-utils helm-locate helm-help
helm-types helm helm-source helm-multi-match helm-lib projectile grep
compile ibuf-ext ibuffer thingatpt magit-gitflow magit-blame magit-stash
magit-bisect magit-remote magit-commit magit-sequence magit magit-apply
dired magit-wip magit-log magit-diff smerge-mode diff-mode magit-core
magit-autorevert autorevert filenotify magit-process magit-popup
magit-mode help-mode magit-git crm magit-section magit-utils git-commit
log-edit message idna rfc822 mml mml-sec mailabbrev mail-utils gmm-utils
mailheader pcvs-util add-log with-editor async-bytecomp async tramp-sh
tramp tramp-compat auth-source gnus-util password-cache tramp-loaddefs
trampver shell pcomplete comint ansi-color ring format-spec server
javap-mode edmacro kmacro bind-key easy-mmode browse-at-remote vc-git
pallet eieio byte-opt bytecomp byte-compile cl-extra cconv eieio-core
advice info cask cl-macs gv cask-bootstrap package-build mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr json lisp-mnt shut-up epl git commander f
dash s ucs-normalize package epg-config recentf tree-widget wid-edit
easymenu desktop frameset cl-loaddefs cl-lib autoinsert cus-start
cus-load time-date tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 845037 78087)
(symbols 48 61882 1)
(miscs 40 16698 537)
(strings 32 166702 22057)
(string-bytes 1 5126086)
(vectors 16 92771)
(vector-slots 8 2213694 103638)
(floats 8 555 1138)
(intervals 56 14212 765)
(buffers 960 187)
(heap 1024 104831 7602))




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Robin Green <robin.green@HIDDEN>
Subject: bug#22521: Acknowledgement (24.5; call-process hangs waiting for
 input with zombie process)
Message-ID: <handler.22521.B.145434114910394.ack <at> debbugs.gnu.org>
References: <56AF7BFD.3000206@HIDDEN>
X-Gnu-PR-Message: ack 22521
X-Gnu-PR-Package: emacs
Reply-To: 22521 <at> debbugs.gnu.org
Date: Mon, 01 Feb 2016 15:40:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 22521 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
22521: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D22521
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems



Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.